aboutsummaryrefslogtreecommitdiffstats
path: root/community/julia/find-syslibs
diff options
context:
space:
mode:
authorShiz <hi@shiz.me>2017-05-22 18:40:14 +0200
committerShiz <hi@shiz.me>2017-05-22 18:40:42 +0200
commit93ad08e10334b4133743f9042e8b9aff9583b23f (patch)
tree0e1d693037ed4e28451535c45887947e28027c23 /community/julia/find-syslibs
parent7039b303d95e672b466926ed93c105e2dc7e2db2 (diff)
downloadaports-93ad08e10334b4133743f9042e8b9aff9583b23f.tar.bz2
aports-93ad08e10334b4133743f9042e8b9aff9583b23f.tar.xz
community/julia: move from testing
Diffstat (limited to 'community/julia/find-syslibs')
-rwxr-xr-xcommunity/julia/find-syslibs19
1 files changed, 19 insertions, 0 deletions
diff --git a/community/julia/find-syslibs b/community/julia/find-syslibs
new file mode 100755
index 0000000000..ef25263607
--- /dev/null
+++ b/community/julia/find-syslibs
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# This script adapts output of scanelf to the format produced by
+# GNU's "ldconfig -p".
+#
+# Note: Julia uses "ldconfig -p" as a workaround to find system
+# libraries, see https://github.com/JuliaLang/julia/issues/6742.
+#
+set -e
+
+echo 'libs found on ldpath'
+scanelf --ldpath -E ET_DYN -BF '%F %M %S %f' | while read path class soname _; do
+ case "$class" in
+ ELFCLASS32) arch='i686';;
+ ELFCLASS64) arch='x86-64';;
+ *) arch="$(uname -m | sed 's/_/-/g')";;
+ esac
+ printf '\t%s (libc,%s) => %s\n' "$soname" "$arch" "$path"
+done